Piloterr

Carrefour Product

Carrefour Product via API.

Credit cost: 2 credits per call

GET
/v2/carrefour/product

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/carrefour/product?query=string"
[
  {
    "name": "Example",
    "value": {
      "brand": "GAULOIS",
      "image": "https://media.carrefour.fr/medias/ed17057cca61469e8b147748c864660b/p_1500x1500/03266980075934_A1N1_s01.png",
      "price": "2,81€",
      "title": "Œufs de caille LE GAULOIS",
      "currency": "€",
      "features": {
        "nom_legal": "Oeufs de cailles",
        "ingredients": "100% OEUF",
        "valeurs_nutritionnelles": {
          "matieres_grasses": "14 g / 100 g",
          "acides_gras_satures": "4.9 g / 100 g",
          "valeur_energetique_kj": "737 kJ / 100 g",
          "valeur_energetique_kcal": "178 kcal / 100 g"
        }
      },
      "packaging": "la boite de 18",
      "promotion": {
        "type": "coupon",
        "description": "1 acheté = 25% de remise"
      },
      "nutriscore": "B",
      "price_float": 2.81,
      "price_per_unit": "14.05 € / KG",
      "price_per_unit_float": 14.05,
      "price_per_unit_measure": "KG",
      "price_per_unit_currency": "€"
    }
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}